PHP Manual
Prev |  | Next

# imap_rfc822_write_address

(PHP 3 >= 3.0.2, PHP 4, PHP 5)

imap_rfc822_write_address -- Returns a properly formatted email address given the mailbox, host, and personal info

## Description

string imap_rfc822_write_address ( string mailbox, string host, string personal )

Returns a properly formatted email address as defined in RFC2822 given the needed information.

## Parameters

`mailbox`

  The mailbox name, see imap_open() for more information

`host`

  The email host part

`personal`

  The name of the account owner

## Return Values

Returns a string properly formatted email address as defined in RFC2822.

## Examples

Example 1. imap_rfc822_write_address() example

`<?php echo imap_rfc822_write_address("hartmut", "example.com", "Hartmut Holzgraefe"); ?>`

The above example will output:

    Hartmut Holzgraefe <hartmut@example.com>

Prev | Home | Next
imap_rfc822_parse_headers | Up | imap_savebody